# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

Name:           berkeleydb
Version:        2.0.90
Release:        1jpp.ep1.1%{?dist}
Epoch:          0
Summary:        Berkeley DB Java Edition

Group:          Development/Libraries/Java
License:        BSD-style Sleepycat Public License
URL:            http://www.sleepycat.com/products/bdbje.html
Source0:        http://downloads.sleepycat.com/je-2.0.90.tar.gz
Patch0:		berkeleydb-build_xml.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:	ant-junit
BuildRequires:	junit
BuildRequires:	geronimo-j2ee-connector-1.5-api
BuildRequires:  java >= 0:1.4.2
Requires:  java >= 0:1.4.2
Requires:  j2ee-connector

%description
Berkeley DB Java Edition is a high performance, transactional
storage engine written entirely in Java. Like the highly
successful Berkeley DB product, Berkeley DB Java Edition
executes in the address space of the application, without
the overhead of client/server communication. It stores data
in the application's native format, so no runtime data
translation is required. Berkeley DB Java Edition supports
full ACID transactions and recovery. It provides an easy-to-use,
programmatic interface, allowing developers to store and
retrieve information quickly, simply and reliably.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
Documents for %{name}

%package        demo
Summary:        Examples for %{name}
Group:          Development/Documentation

%description    demo
Examples for %{name}

%prep
%setup -q -n je-%{version}

%patch0 -b .sav

%build
export CLASSPATH=
ant \
	-Djmx.jarfile=$(build-classpath mx4j/mx4j) \
	-Dj2ee.jarfile=$(build-classpath geronimo-j2ee-connector-1.5-api) \
	jar javadoc-all test-j2ee

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}

install -pm 644 lib/je.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/java/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf docs/java

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}

# demo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp LICENSE README $RPM_BUILD_ROOT%{_datadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/examples

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%doc %{_datadir}/%{name}/LICENSE
%doc %{_datadir}/%{name}/README

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}

%files demo
%defattr(-,root,root,-)
%{_datadir}/%{name}/examples

%changelog
* Fri Sep 07 2007 Fernando Nasser <fnasser@redhat.com> - 0:2.1.30-1jpp.ep1.1
- Rebuild

* Mon Apr 24 2006 Fernando Nasser <fnasser@redhat.com> - 0:2.1.30-1jpp_1rh
- Merge with upstream for upgrade

* Mon Apr 03 2006 Ralph Apel <r.apel at r-apel.de> - 0:2.1.30-1jpp
- Upgrade to 2.1.30

* Mon Mar 13 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-2jpp_1rh
- First Red Hat build

* Sun Mar 12 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-2jpp
- First JPP 1.7 build

* Tue Feb 08 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.7.0-1jpp
- First JPackage release
